Custom Field Groups

The endpoint for groups for Custom Fields.

Retrieve multiple Custom Field Groups based on search critera passed as GET Arguments

get/customfieldgroup/
Securityapi_key and username
Request
query Parameters
created
string <date-time>

NOTE: Parameter accepts additional qualifiers appended to the end:
created__year, created__month, created__day - The value for the record matches the provided year/month/day (note that week_day, hour, minute, and second are also available following similar patterns).

data_type
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
data_type__in - The value for the record is in the provided array parameter (comma-separated values).

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name QuorumDataType, for an explanation of values.

Enum: 1 2 3 4 5 6 7 8 9 10 12 14 15 16 17 18 20 21 22 23 24 25 26 27 28 29 30 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 52 53 54 55 56 57 58 59 60 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148
id
integer <int64>

Quorum ID (Primary Key)

name
string

NOTE: Parameter accepts additional qualifiers appended to the end:
name__in - The value for the record is in the provided array parameter (comma-separated values).
name__contains, name__icontains - The value for the record contains the string provided as a parameter within it (partial match). (Use 'icontains' for matching to be done case-insensitive)
name__startswith, name__istartswith - The value for the record starts with the string provided as a parameter. (Use 'istartswith' for matching to be done case-insensitive)
name__endswith, name__iendswith - The value for the record ends with the string provided as a parameter within it (partial match). (Use 'iendswith' for matching to be done case-insensitive)
name__iexact - The value for the record is a case-insensitive exact match to the provided parameter.

organization_id
integer <int64>

The organization with which this customfieldgroup is associated.

NOTE: Parameter accepts additional qualifiers appended to the end:
organization__in - The value for the record is in the provided array parameter (comma-separated values).

updated
string <date-time>

NOTE: Parameter accepts additional qualifiers appended to the end:
updated__year, updated__month, updated__day - The value for the record matches the provided year/month/day (note that week_day, hour, minute, and second are also available following similar patterns).

user_id
integer <int64>

The quorumuser with which this customfieldgroup is associated.

NOTE: Parameter accepts additional qualifiers appended to the end:
user__in - The value for the record is in the provided array parameter (comma-separated values).

dehydrate
Array of strings

Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values.
resource_uri - expand resource_uri with additional details.
NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.

Items Value: "resource_uri"
limit
integer <int64>
Default: 20

The number of records to return (for pagination).

offset
integer <int64>
Default: 0

The number of records to offset the start of the data being returned (for pagination).

Responses
200

CustomFieldGroup retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Response samples
application/json
{
  • "_extra": { },
  • "created": "2019-08-24T14:15:22Z",
  • "creator": "string",
  • "data_type": 1,
  • "id": 0,
  • "name": "string",
  • "organization": "/api/organization/1/",
  • "precedence": 0,
  • "resource_uri": "string",
  • "updated": "2019-08-24T14:15:22Z",
  • "user": "/api/user/1/"
}

Create a single Custom Field Groups

post/customfieldgroup/
Securityapi_key and username
Request
path Parameters
id
required
integer <int64>

Quorum ID (Primary Key)

Request Body schema: application/json
name
string
precedence
integer <int64>
Responses
200

CustomFieldGroup retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Request samples
application/json
{
  • "name": "string",
  • "precedence": 0
}
Response samples
application/json
{
  • "_extra": { },
  • "created": "2019-08-24T14:15:22Z",
  • "creator": "string",
  • "data_type": 1,
  • "id": 0,
  • "name": "string",
  • "organization": "/api/organization/1/",
  • "precedence": 0,
  • "resource_uri": "string",
  • "updated": "2019-08-24T14:15:22Z",
  • "user": "/api/user/1/"
}

delete_bulk_customfieldgroup

delete/customfieldgroup/{id}/
Securityapi_key and username
Responses
200

CustomFieldGroup retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Response samples
application/json
{
  • "_extra": { },
  • "created": "2019-08-24T14:15:22Z",
  • "creator": "string",
  • "data_type": 1,
  • "id": 0,
  • "name": "string",
  • "organization": "/api/organization/1/",
  • "precedence": 0,
  • "resource_uri": "string",
  • "updated": "2019-08-24T14:15:22Z",
  • "user": "/api/user/1/"
}

Retrieve information on a single Custom Field Group

get/customfieldgroup/{id}/
Securityapi_key and username
Request
path Parameters
id
required
integer <int64>

Quorum ID (Primary Key)

query Parameters
dehydrate
Array of strings

Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values.
resource_uri - expand resource_uri with additional details.
NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.

Items Value: "resource_uri"
Responses
200

CustomFieldGroup retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Response samples
application/json
{
  • "_extra": { },
  • "created": "2019-08-24T14:15:22Z",
  • "creator": "string",
  • "data_type": 1,
  • "id": 0,
  • "name": "string",
  • "organization": "/api/organization/1/",
  • "precedence": 0,
  • "resource_uri": "string",
  • "updated": "2019-08-24T14:15:22Z",
  • "user": "/api/user/1/"
}

Update a single Custom Field Groups by ID

patch/customfieldgroup/{id}/
Securityapi_key and username
Request
path Parameters
id
required
integer <int64>

Quorum ID (Primary Key)

Request Body schema: application/json
name
string
precedence
integer <int64>
Responses
200

CustomFieldGroup retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Request samples
application/json
{
  • "name": "string",
  • "precedence": 0
}
Response samples
application/json
{
  • "_extra": { },
  • "created": "2019-08-24T14:15:22Z",
  • "creator": "string",
  • "data_type": 1,
  • "id": 0,
  • "name": "string",
  • "organization": "/api/organization/1/",
  • "precedence": 0,
  • "resource_uri": "string",
  • "updated": "2019-08-24T14:15:22Z",
  • "user": "/api/user/1/"
}